Sgitopnm User Manual(0)

NAME
sgitopnm - convert a SGI image file to PNM

SYNOPSIS
sgitopnm [-verbose] [-channel c] [SGIfile]

DESCRIPTION

This program is part of Netpbm(1)

sgitopnm reads an SGI image file as input and produces a PGM image for a 2-dimensional (1 channel) input file, and a PPM image for a 3-dimensional (3 or more channels) input file.

Alternatively, the program produces a PGM image of any one of the channels in the input file.

OPTIONS

-verbose
    Give some information about the SGI image file.

-channel c
    Extract channel c of the image as a PGM image. Without this option, sgitopnm extracts the first 3 channels as a PPM image or, if the input has only 1 channel, extracts that as a PGM image, and if the input has 2 channels, fails.

REFERENCES
SGI Image File Format documentation (draft v0.95) by Paul Haeberli (paul@sgi.com). Available via ftp at sgi.com:graphics/SGIIMAGESPEC.

SEE ALSO
pnm(5) , pnmtosgi(1)

AUTHOR

Copyright (C) 1994 by Ingo Wilken (Ingo.Wilken@informatik.uni-oldenburg.de)